%define name circuslinux
%define version 1.0.3
%define release 8mdk

Summary: Cute breakout-like game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.sonic.net/pub/users/nbs/unix/x/circus-linux/circuslinux-%{version}.tar.bz2
Source5: %{name}-16.png
Source6: %{name}-32.png
Source7: %{name}-48.png
License: GPL
Packager: Pixel <pixel@mandrakesoft.com>
Url: http://newbreedsoftware.com/circus-linux/
Group: Games/Arcade
BuildRequires:	SDL_image-devel
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	texinfo
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

%prep
%setup -q

cat << EOF > %{name}.menu
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" needs="x11" section="Amusement/Arcade" title="Circus Linux!" longtitle="Circus Linux!"
EOF

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

install -D -m644 %{name}.menu $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS.txt CHANGES.txt README.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Fri Aug 13 2004 Pixel <pixel@mandrakesoft.com> 1.0.3-8mdk
- rebuild

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.3-7mdk
- rebuild
- really remove Prefix tag
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- change icons
- use %%{_gamesdatadir}
- cosmetics

* Fri Nov 08 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.0.3-6mdk
- Removed gcc, automake and autoconf from BuildRequires and also removed Prefix,
  no need for this
- Added missing install stage
- Added menuitem
- Added icons
- Moved binary into %{_gamesbindir}
- Quiet setup

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-4mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libasound (alsa)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-9mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-8mdk
- rebuilding for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-7mdk
- BuildRequires:	libSDL-devel libSDL_image-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-6mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 1.0.1-5mdk
- rebuild with new SDL

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-4mdk
- rebuild for new libSDL_mixer

* Wed Nov  8 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-3mdk
- capitalize summary

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-2mdk
- rebuild

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 1.0.1-1mdk
- initial spec


# end of file
